PaidGoods
API referencePayment methods

Every payment method we support or plan to

GET
/v1/stores/{storeId}/payment-providers

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/payment-providers"
{  "data": [    {      "provider": "string",      "name": "string",      "group": "string",      "description": "string",      "availability": "available",      "credentialFields": [        {          "key": "string",          "label": "string",          "secret": true,          "required": true,          "placeholder": "string",          "hint": "string",          "onlyFor": {            "configKey": "string",            "values": [              "string"            ]          },          "exceptFor": {            "configKey": "string",            "values": [              "string"            ]          }        }      ],      "configFields": [        {          "key": "string",          "label": "string",          "type": "string",          "required": true,          "hint": "string",          "placeholder": "string",          "options": [            {              "value": "string",              "label": "string"            }          ],          "presets": [            0          ]        }      ],      "fixedFeePresets": [        0      ],      "refunds": "api",      "supportsCurrencyOverride": true,      "testModeOnly": true,      "sandboxVerified": true,      "brandColor": "string",      "tagline": "string",      "confirmation": "string",      "docsUrl": "string",      "setupGuideUrl": "string"    }  ]}